<?

	require_once "xslt/codegen/agents/_base.php";

	class PublishAgent extends BaseGenAgent
	{
		function PublishAgent()
		{}

		/*				
		function sync($key,$val)
		{
			global $cat_db;

			$d = array();
			$s = '';
			$res = $cat_db->query("select * from ... where $key='$val'");

			$s = $this->preprocess('','','');
                        // 
			$s .= $this->postprocess();

		        $q = new GenPage($filename);
			$q->applyXML($s);
			array_push($d,$q);

			return $d;				
		}	
		*/



		function clean($table,$key,$val)
		{
			$a = array("$table_$val.html");		
			return $a;		
		}

	};

?>